<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaProductMapper">

    <resultMap type="com.ruoyi.oa.domain.OaProduct" id="OaProductResult">
        <result property="productId" column="product_id"/>
        <result property="productName" column="product_name"/>
        <result property="productNumber" column="product_number"/>
        <result property="unit" column="unit"/>
        <result property="price" column="price"/>
        <result property="status" column="status"/>
        <result property="categoryId" column="category_id"/>
        <result property="description" column="description"/>
        <result property="ownerUserId" column="owner_user_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


</mapper>
